ResizeBatch
Geometry Transforms

In this function as in nppiResize the resize scale factor is automatically determined by the width and height ratios of oSrcRectROI and oDstRectROI. More...

## Data Structures

struct | NppiResizeBatchCXR

## Functions

NppStatus | nppiResizeBatch_32f_C1R (NppiSize oSmallestSrcSize, NppiRect oSrcRectROI, NppiSize oSmallestDstSize, NppiRect oDstRectROI, int eInterpolation, NppiResizeBatchCXR *pBatchList, unsigned int nBatchSize)
| 1 channel 32-bit floating point image resize batch. More...
NppStatus | nppiResizeBatch_32f_C3R (NppiSize oSmallestSrcSize, NppiRect oSrcRectROI, NppiSize oSmallestDstSize, NppiRect oDstRectROI, int eInterpolation, NppiResizeBatchCXR *pBatchList, unsigned int nBatchSize)
| 3 channel 32-bit floating point image resize batch. More...
NppStatus | nppiResizeBatch_32f_C4R (NppiSize oSmallestSrcSize, NppiRect oSrcRectROI, NppiSize oSmallestDstSize, NppiRect oDstRectROI, int eInterpolation, NppiResizeBatchCXR *pBatchList, unsigned int nBatchSize)
| 4 channel 32-bit floating point image resize batch. More...
NppStatus | nppiResizeBatch_32f_AC4R (NppiSize oSmallestSrcSize, NppiRect oSrcRectROI, NppiSize oSmallestDstSize, NppiRect oDstRectROI, int eInterpolation, NppiResizeBatchCXR *pBatchList, unsigned int nBatchSize)
| 4 channel 32-bit floating point image resize batch not affecting alpha. More...

## Detailed Description

In this function as in nppiResize the resize scale factor is automatically determined by the width and height ratios of oSrcRectROI and oDstRectROI.

If either of those parameters intersect their respective image sizes then pixels outside the image size width and height will not be processed. Details of the resize operation are described above in the Resize section. ResizeBatch generally takes the same parameter list as Resize except that there is a list of N instances of those parameters (N > 1) and that list is passed in device memory. A convenient data structure is provided that allows for easy initialization of the parameter lists. The only restriction on these functions is that there is one single source ROI rectangle and one single destination ROI rectangle which are applied respectively to each image in the batch. The primary purpose of this function is to provide improved performance for batches of smaller images as long as GPU resources are available. Therefore it is recommended that the function not be used for very large images as there may not be resources available for processing several large images simultaneously. A single set of oSrcRectROI and oDstRectROI values are applied to each source image and destination image in the batch. Source and destination image sizes may vary but oSmallestSrcSize and oSmallestDstSize must be set to the smallest source and destination image sizes in the batch. The parameters in the NppiResizeBatchCXR structure represent the corresponding per-image nppiResize parameters for each image in the batch. The NppiResizeBatchCXR array must be in device memory.

ResizeBatch supports the following interpolation modes:

* NPPI_INTER_NN
* NPPI_INTER_LINEAR
* NPPI_INTER_CUBIC
* NPPI_INTER_SUPER
*

# Error Codes

The resize primitives return the following error codes:

        - ::NPP_RESIZE_NO_OPERATION_ERROR if either destination ROI width or
          height is less than 1 pixel.
        - ::NPP_INTERPOLATION_ERROR if eInterpolation has an illegal value.
        - ::NPP_SIZE_ERROR if source size width or height is less than 2 pixels.

### Common parameters for nppiResizeBatch functions include:

Parameters

  oSmallestSrcSize | Size in pixels of the entire smallest source image width and height, may be from different images.
  oSrcRectROI | Region of interest in the source images (may overlap source image size width and height).
  oSmallestDstSize | Size in pixels of the entire smallest destination image width and height, may be from different images.
  oDstRectROI | Region of interest in the destination images (may overlap destination image size width and height).
  eInterpolation | The type of eInterpolation to perform resampling. Currently limited to NPPI_INTER_NN, NPPI_INTER_LINEAR, NPPI_INTER_CUBIC, or NPPI_INTER_SUPER.
  pBatchList | Device memory pointer to nBatchSize list of NppiResizeBatchCXR structures.
  nBatchSize | Number of NppiResizeBatchCXR structures in this call (must be > 1).

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Error Codes

## Function Documentation

NppStatus nppiResizeBatch_32f_AC4R | ( | NppiSize | oSmallestSrcSize,
|  | NppiRect | oSrcRectROI,
|  | NppiSize | oSmallestDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppiResizeBatchCXR * | pBatchList,
|  | unsigned int | nBatchSize
| ) |  |

4 channel 32-bit floating point image resize batch not affecting alpha.

For common parameter descriptions, see Common parameters for nppiResizeBatch functions.

NppStatus nppiResizeBatch_32f_C1R | ( | NppiSize | oSmallestSrcSize,
|  | NppiRect | oSrcRectROI,
|  | NppiSize | oSmallestDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppiResizeBatchCXR * | pBatchList,
|  | unsigned int | nBatchSize
| ) |  |

1 channel 32-bit floating point image resize batch.

For common parameter descriptions, see Common parameters for nppiResizeBatch functions.

NppStatus nppiResizeBatch_32f_C3R | ( | NppiSize | oSmallestSrcSize,
|  | NppiRect | oSrcRectROI,
|  | NppiSize | oSmallestDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppiResizeBatchCXR * | pBatchList,
|  | unsigned int | nBatchSize
| ) |  |

3 channel 32-bit floating point image resize batch.

For common parameter descriptions, see Common parameters for nppiResizeBatch functions.

NppStatus nppiResizeBatch_32f_C4R | ( | NppiSize | oSmallestSrcSize,
|  | NppiRect | oSrcRectROI,
|  | NppiSize | oSmallestDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppiResizeBatchCXR * | pBatchList,
|  | unsigned int | nBatchSize
| ) |  |

4 channel 32-bit floating point image resize batch.

For common parameter descriptions, see Common parameters for nppiResizeBatch functions.

Copyright © 2009-2017 NVIDIA Corporation